general {
    lock_cmd = pidof hyprlock || hyprlock
    before_sleep_cmd = loginctl lock-session
    after_sleep_cmd = hyprctl dispatch dpms on
}

# locks screen after 5min
listener {
    timeout = 300     
    on-timeout = loginctl lock-session 
}

# turn of screen after 10min
listener {
    timeout = 600
    on-timeout = hyptrctl dispatch dpms off
    on-resume = hyprctl dispatch dpms on
}

# turns of pc after 60min of non use
listener {
    timeout = 3600
    on-timeout = systemctl suspend
}
